For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HUMAN DashboardHUMAN WebsiteRequest a Demo
Product GuidesEnforcer GuidesMobile SDKAPI ReferenceCustomer support
Product GuidesEnforcer GuidesMobile SDKAPI ReferenceCustomer support
  • User guides
    • About the Applications API
    • Getting started
    • Authentication
    • Quick reference
  • Account Defender API
  • Bot Defender API
      • GETGet custom rules
      • POSTCreate custom rule
      • GETGet rule by ID
      • PUTUpdate rule by ID
      • PATCHUpdate field by rule ID
      • DELDelete rule by ID
      • Custom rule operators and conditions
  • Credential Intelligence API
  • Code Defender API
    • Code Examples
  • Enforce API
  • PCI DSS API
LogoLogo
Login
Login
HUMAN DashboardHUMAN WebsiteRequest a Demo
Bot Defender APICustom Rules

Get custom rules

GET
/v2/botDefender/customRules
GET
/api/v2/botDefender/customRules
$curl https://console.humansecurity.com/api/v2/botDefender/customRules \
> -H "Authorization: Bearer <token>"
1{
2 "result": true,
3 "message": "success",
4 "content": [
5 {
6 "name": "string",
7 "conditions": {
8 "operator": "$or",
9 "children": [
10 {
11 "operator": "$or",
12 "children": [
13 {
14 "operator": "$eq",
15 "conditionType": "userAgent",
16 "value": "string",
17 "fieldOption": "string"
18 }
19 ]
20 }
21 ]
22 },
23 "actions": [
24 "allow"
25 ],
26 "status": "active",
27 "ruleId": "a747610a-e1d6-4e50-bc60-04c8787ac7b8",
28 "priority": 1,
29 "description": "string"
30 }
31 ]
32}
Get all custom rules.
Was this page helpful?
Previous

Create custom rule

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

Success
resultboolean
messagestring
contentlist of objects

Errors

400
Bad Request Error